-- This file is loaded from "LetuiSetup.toc"

local bgtexture = "Interface\\Letui\\Textures\\welcomescreen.tga"
local font = "Interface\\Letui\\Fonts\\font.ttf"
local border = "Interface\\Letui\\Textures\\6.tga"
local backdrop = {
			bgFile = bgtexture,
			edgeFile = border,
			edgeSize = 16,
			insets = {
				left = 2,
				right = 2,
				top = 2,
				bottom = 2,
			}
		}

local frame = CreateFrame("frame", nil, UIParent)
	frame:SetPoint("CENTER")
	frame:SetSize(400, 500)
	frame:SetBackdrop(backdrop)
	frame:SetBackdropColor(0.5, 0.5, 1)

local HeaderText = frame:CreateFontString()
	HeaderText:SetPoint("TOP",0 , 70)
	HeaderText:SetSize(350,200)
	HeaderText:SetFont(font, 40)
	HeaderText:SetTextColor(0, 1, 1)
	HeaderText:SetText("LetUI V2")

local WText = frame:CreateFontString()
	WText:SetPoint("TOP")
	WText:SetSize(350,200)
	WText:SetFont(font, 16)
	WText:SetTextColor(1, 1, 1)
	WText:SetWordWrap(true)
	WText:SetNonSpaceWrap(false)
	WText:SetText("Welcome to LetUI! Please select your desired layout below.")

local GText = frame:CreateFontString()
	GText:SetPoint("Bottom", 0, -10)
	GText:SetSize(350, 200)
	GText:SetFont(font, 16)
	GText:SetWordWrap(true)
	GText:SetNonSpaceWrap(false)
	GText:SetText(" |cffff8040 WARNING: Selecting a layout will reload your UI!!")
	
local FText = frame:CreateFontString()
	FText:SetPoint("BOTTOM", 0, -80)
	FText:SetSize(350,200)
	FText:SetFont(font, 14)
	FText:SetTextColor(1, 1, 1)
	FText:SetText("Lethalvenom @ Frostmane - EU")
	
-----------------BUTTON 1	
local button1 = CreateFrame("Button", nil, frame)
	button1:SetPoint("CENTER", 0, 60)
	button1:SetSize(200, 50)
	button1:SetBackdrop(backdrop)
	button1:SetBackdropColor(0, 0, 1)
	button1:SetScript("OnClick", function (self, button, down)
		SlashCmdList["FORTEXORCIST"]("profile LetuiV2")
		SlashCmdList["REFLUX"]("switch [Letui2DPS]")
		DisableAddOn("LetuiSetup")
		end)
	
	local b1t = button1:CreateFontString()
		b1t:SetPoint("CENTER")
		b1t:SetSize(200, 50)
		b1t:SetFont(font, 16)
		b1t:SetTextColor(0, 1, 1)
		b1t:SetText("DPS")
		
----------------- BUTTON 2
local button2 = CreateFrame("Button", nil, frame)
	button2:SetPoint("CENTER")
	button2:SetSize(200, 50)
	button2:SetBackdrop(backdrop)
	button2:SetBackdropColor(0, 0, 1)
	button2:SetScript("OnClick", function (self, button, down)
		SlashCmdList["FORTEXORCIST"]("profile LetuiV2")
		SlashCmdList["REFLUX"]("switch [Letui2Healing]")
		DisableAddOn("LetuiSetup")
		end)
	
	local b2t = button2:CreateFontString()
		b2t:SetPoint("Center")
		b2t:SetSize(200, 50)
		b2t:SetFont(font, 16)
		b2t:SetTextColor(0, 1, 1)
		b2t:SetText("Healing")
		
-----------------BUTTON 3		
local button3 = CreateFrame("Button", nil, frame)
	button3:SetPoint("CENTER", 0, -60)
	button3:SetSize(200, 50)
	button3:SetBackdrop(backdrop)
	button3:SetBackdropColor(0, 0, 1)
	button3:SetScript("OnClick", function (self, button, down)
		DisableAddOn("LetuiSetup")
           ReloadUI()
		end)

local b3t = button3:CreateFontString()
	b3t:SetPoint("CENTER")
	b3t:SetSize(200, 50)
	b3t:SetFont(font, 16)
	b3t:SetTextColor(0, 1, 1)
	b3t:SetText("Cancel")
